package indyjug.jboss.ejb;

public class OrderUtil
{
    private static OrderLocalHome cachedLocalHome = null;

    /**
     * Obtain local home interface from default initial context
     * @return Local home interface for Mileage. Lookup using COMP_NAME
     */
    public static OrderLocalHome getLocalHome()
        throws javax.naming.NamingException
    {
        // Local homes shouldn't be narrowed, as there is no RMI involved.
        if (cachedLocalHome == null)
        {
            // Obtain initial context
            javax.naming.InitialContext initialContext = new javax.naming.InitialContext();

            try
            {
                cachedLocalHome = (OrderLocalHome)initialContext.lookup(OrderLocalHome.COMP_NAME);
            }
            finally
            {
                initialContext.close();
            }
        }

        return cachedLocalHome;
    }
}
