package indyjug.jboss.ejb;

import java.util.Date;

public class OrderValue implements java.io.Serializable
{
    private StockValue stock;
    private String action;
    private Date date;
    private Double price;
    private Double shares;

    public OrderValue()
    {
    }

    public OrderValue(StockValue stock, String action, Date date, double price,
        double shares)
    {
        this(stock, action, date, new Double(price), new Double(shares));
    }

    public OrderValue(StockValue stock, String action, Date date, Double price,
        Double shares)
    {
        setStock(stock);
        setAction(action);
        setDate(date);
        setPrice(price);
        setShares(shares);
    }

    public StockValue getStock()
    {
        return stock;
    }

    public void setStock(StockValue stock)
    {
        this.stock = stock;
    }

    public String getAction()
    {
        return action;
    }

    public void setAction(String action)
    {
        this.action = action;
    }

    public Date getDate()
    {
        return date;
    }

    public void setDate(Date date)
    {
        this.date = date;
    }

    public Double getPrice()
    {
        return price;
    }

    public void setPrice(Double price)
    {
        this.price = price;
    }

    public Double getShares()
    {
        return shares;
    }

    public void setShares(Double shares)
    {
        this.shares = shares;
    }

    public String toString()
    {
        StringBuffer str = new StringBuffer("[");

        str.append("stock=" + getStock() + " " + "action=" + getAction() + " " +
            "date=" + getDate() + " " + "price=" + getPrice() + " " +
            "shares=" + getShares());
        str.append(']');

        return (str.toString());
    }

    public boolean equals(Object other)
    {
        if (this == other)
        {
            return true;
        }

        if (other instanceof OrderValue)
        {
            OrderValue that = (OrderValue)other;
            boolean lEquals = true;

            return lEquals;
        }
        else
        {
            return false;
        }
    }

    public int hashCode()
    {
        int result = 17;
        result = (37 * result) +
            ((this.stock != null) ? this.stock.hashCode() : 0);

        result = (37 * result) +
            ((this.action != null) ? this.action.hashCode() : 0);

        result = (37 * result) +
            ((this.date != null) ? this.date.hashCode() : 0);

        result = (37 * result) +
            ((this.price != null) ? this.price.hashCode() : 0);

        result = (37 * result) +
            ((this.shares != null) ? this.shares.hashCode() : 0);

        return result;
    }
}
