package indyjug.jboss.ejb;

public class StockTraderUtil
{
    private static StockTraderHome cachedRemoteHome = null;

    /**
     * Obtain remote home interface from default initial context
     * @return Home interface for MileageManager. Lookup using COMP_NAME
     */
    public static StockTraderHome getHome() throws javax.naming.NamingException
    {
        if (cachedRemoteHome == null)
        {
            // Obtain initial context
            javax.naming.InitialContext initialContext = new javax.naming.InitialContext();

            try
            {
                java.lang.Object objRef = initialContext.lookup(StockTraderHome.COMP_NAME);
                cachedRemoteHome = (StockTraderHome)javax.rmi.PortableRemoteObject.narrow(objRef,
                        StockTraderHome.class);
            }
            finally
            {
                initialContext.close();
            }
        }

        return cachedRemoteHome;
    }

    /**
     * Obtain remote home interface from parameterised initial context
     * @param environment Parameters to use for creating initial context
     * @return Home interface for MileageManager. Lookup using COMP_NAME
     */
    public static StockTraderHome getHome(java.util.Hashtable environment)
        throws javax.naming.NamingException
    {
        // Obtain initial context
        javax.naming.InitialContext initialContext = new javax.naming.InitialContext(environment);

        try
        {
            java.lang.Object objRef = initialContext.lookup(StockTraderHome.COMP_NAME);

            return (StockTraderHome)javax.rmi.PortableRemoteObject.narrow(objRef,
                StockTraderHome.class);
        }
        finally
        {
            initialContext.close();
        }
    }
}
